#3091 closed defect (fixed)

Core Dump in powerpc-rtems4.12-ld

Reported by: Joel Sherrill Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: tool Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

This appears to have been introduced by the new binutils. Impacts qemuprep and qemuprep-altivec BSPs.

gmake[8]: Entering directory `/data/home/joel/rtems-work/rtems-testing/rtems/build-powerpc-qemuprep-rtems/powerpc-rtems4.12/c/qemuprep/lib/libbsp/powerpc/motorola_powerpc/qemu_fakerom'
powerpc-rtems4.12-ld -o qemu_fakerom.bin qemu_fakerom.o qemu_fakeres.o --oformat binary -nostdlib -Ttext 0xfff00000 --section-start=.romentry=0xfffffffc
gmake[8]: * [qemu_fakerom.bin] Segmentation fault

Attachments (1)

0001-Fix-Binutils-2.29-PR21884.patch (8.8 KB) - added by Sebastian Huber on Aug 10, 2017 at 8:12:52 AM.

Download all attachments as: .zip

Change History (5)

comment:1 Changed on Aug 7, 2017 at 11:55:58 PM by Joel Sherrill

Owner: changed from chrisj@… to Sebastian Huber
Status: newassigned

comment:2 Changed on Aug 8, 2017 at 11:44:01 AM by Sebastian Huber

Yes, I will have a look at this once GCC 7.2 is out.

Changed on Aug 10, 2017 at 8:12:52 AM by Sebastian Huber

comment:3 Changed on Aug 10, 2017 at 8:18:26 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

comment:4 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.